PropertyOutputStream (Apache Ant API)

Package org.apache.tools.ant.util

## Class PropertyOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - org.apache.tools.ant.util.PropertyOutputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

      public class PropertyOutputStream
      extends java.io.ByteArrayOutputStream

  `OutputStream` that writes an Ant property.
  Since:
    Ant 1.7
  See Also:
    `PropertyResource.getOutputStream()`

- - ### Field Summary

    - ### Fields inherited from class java.io.ByteArrayOutputStream

      `buf, count`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyOutputStream​(Project p, java.lang.String s)` | Construct a new PropertyOutputStream for the specified Project and property name, trimming the property value.
    `PropertyOutputStream​(Project p, java.lang.String s, boolean b)` | Construct a new PropertyOutputStream for the specified Project, property name, and trim mode.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the PropertyOutputStream, storing the property.

    - ### Methods inherited from class java.io.ByteArrayOutputStream

      `reset, size, toByteArray, toString, toString, toString, toString, write, write, writeBytes, writeTo`

    - ### Methods inherited from class java.io.OutputStream

      `flush, nullOutputStream, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyOutputStream

          public PropertyOutputStream​(Project p,
                                      java.lang.String s)

      Construct a new PropertyOutputStream for the specified Project and property name, trimming the property value.
      Parameters:
        `p` - the associated Ant Project.
        `s` - the String property name.

    - #### PropertyOutputStream

          public PropertyOutputStream​(Project p,
                                      java.lang.String s,
                                      boolean b)

      Construct a new PropertyOutputStream for the specified Project, property name, and trim mode.
      Parameters:
        `p` - the associated Ant Project.
        `s` - the String property name.
        `b` - the boolean trim mode.

  - ### Method Detail

    - #### close

          public void close()

      Close the PropertyOutputStream, storing the property.
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Overrides:
        `close` in class `java.io.ByteArrayOutputStream`